Page MenuHomePhabricator

When a link is added, the card should be updated and the added link should be selected
Closed, ResolvedPublic

Description

The link card should be updated when adding links of any color: redlinks, regular blue links, or turning missing grey links into red.

This is especially problematic when marking a link as red link: the card remains visible but it is not updated, providing still the option to mark as redlink despite being already a red link. You need to select the link again for the options to be updated.

For regular links, it seems that after a link is added the caret position is reset, and the link card disappears. It would be better if it got updated and remained visible.

Event Timeline

Amire80 raised the priority of this task from to Needs Triage.Feb 20 2015, 4:26 PM
Amire80 added a subscriber: Amire80.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 20 2015, 4:26 PM
Arrbee updated the task description. (Show Details)Feb 24 2015, 6:18 AM
Arrbee set Security to None.
Amire80 triaged this task as Normal priority.Feb 26 2015, 8:28 AM
Amire80 closed this task as Resolved.Jul 3 2015, 3:55 PM
Amire80 claimed this task.
Amire80 added a subscriber: Pginer-WMF.

This is not exactly what is happening now, but the current behavior with adaptable links seems OK to me. @Pginer-WMF, please reopen if there's anything else to address.

Pginer-WMF reopened this task as Open.Jul 3 2015, 4:45 PM

This is specially problematic when when marking a link as red link: the card remains visible but it is not updated, providing still the option to mark as redlink despite being already a red link. You need to select the link again for the options to be updated.

For regular links, it seems that after a link is added the caret position is reseted, and the link card disappears. It would be better if it got updated and remain visible.

Amire80 moved this task from Needs Triage to CX6 on the ContentTranslation board.Jul 5 2015, 7:58 PM
Amire80 removed Amire80 as the assignee of this task.Jul 11 2015, 9:43 AM

Dupe T104339?

Sounds like it, and T104339 has a clear description (and a picture). @Pginer-WMF should confirm.

This card is more general. The link card should be updated when adding links of any color: redlinks, regular blue links, or turning missing grey links into red. I don't mind which card is merged into which one, but let's make sure the issue is fixed for all kinds of links (and reflect that into the card).

Amire80 moved this task from CX6 to CX7 on the ContentTranslation board.Oct 2 2015, 3:03 PM
Amire80 moved this task from CX7 to Bugs on the ContentTranslation board.Oct 18 2015, 12:21 PM
Arrbee moved this task from Bugs to Check & Move on the ContentTranslation board.Jun 5 2018, 12:17 PM
Etonkovidova added a comment.EditedAug 7 2018, 11:40 PM

This card is more general. The link card should be updated when adding links of any color: redlinks, regular blue links, or turning missing grey links into red.

That's how currently links are working in cx1. I checked T104339: "Mark as missing" lacks feedback - the issue seems to be gone, so @Nikerabbit may check and marked the task as Resolved.
The following example (en:Schläfli to català) illustrates how the links are handled in cx1 which in my opinion is correct.

  • two types of links - blue and grey - are present in the translated text:

  • clicking on word for which an article exists will display:
  • click on 'Mark as missing' - and the link becomes red and the link card link also becomes red:

  • clicking on a grey link displays the same behavior:

@Pginer-WMF Please review how cx2 handles the links:

  • the same translation - the same set of links:

  • selecting a word and double-clicking on it display suggestions only to the first letter(there was a bug filed about it). It seems that the link can be inserted only with 'Insert link' button:

  • I selected from drop-down suggestions and clicked on 'Add link' - the word becomes blue indicating that the existing link was created:

  • a grey link:

  • clicked on 'Mark as missing':

Etonkovidova removed Etonkovidova as the assignee of this task.Aug 7 2018, 11:41 PM
Etonkovidova added a subscriber: Etonkovidova.
Etonkovidova closed this task as Resolved.Aug 8 2018, 11:10 PM
Etonkovidova claimed this task.

The issue(s) reported in the ticket are resolved in cx2. I filed another task T201570: CX2: Click on 'Edit' for links - page jumps to the top - it was found when I was verifying this ticket.